DCDIRDMP(1)

NAME
dcdirdmp - ACR/NEMA DICOM PS3 ... DICOM PS3 - Describe DICOMDIR content

SYNOPSIS

dcdirdmp [ -v|verbose|vv|veryverbose ] [ -showrecordinfo ] [ -description ] [ -p|paths ] [ -filename ]

DESCRIPTION

dcdirdmp reads the named dicom input file and interprets it as a DICOMDIR file, that is a DICOM file containing an instance of the Basic Directory IOD.

If the file contains a valid instance of the directory, the hierarchical record structure is traversed and displayed in a depth first manner. The default output displays selected attribute values for recognized types of directory record, including the Referenced File ID. The verbose options increase the amount of information dumped.

Note that directory record offset values within attributes are in bytes from the start of the file (including meta-information header and pre-amble) and these point to the beginning of the Item delimiter that introduces each item in the directory record sequence. The offset values displayed in the verbose output for the first attribute of each sequence item will therefore be 8 bytes greater, as the Item delimiter itself is not displayed.

OPTIONS
The description and verbose output go to standard error.

Binary attributes are written in hexadecimal with a preceding "0x". Numeric string attributes are written in decimal. Attribute values are displayed in hexadecimal or string format as determined by the value representation.

The basic input switches are described in dcintro(1). Options specific to this program are:

-v|verbose
    Display all attributes in each directory record.

-vv|veryverbose
    Display byte offset from file start and message start, in hexadecimal, and dump contents while reading and once read.

-showrecordinfo
    Display byte offset with each directory record entry, in hexadecimal.

-description
    Display the Study and Series Description attribute values.

-p|paths
    Show Unix style path information for each referenced file only (suppresses normal output). Used, for example, to feed paths as command line arguments to some other utility.

-filename
    Show the name of the file supplied in the arguments; a hyphen will be reported if no filename was supplied.

ENVIRONMENT

EXAMPLES

% dcdirdmp DICOMDIR
PATIENT SMITH^^^^ 1634-94
        STUDY 1 19960101 113013
                VISIT
                STUDY COMPONENT XA ?
                SERIES 1 XA
                        IMAGE 2
                        -> XA000002
% dcdirdmp -description DICOMDIR
PATIENT Jones^Thomas 3648263
        STUDY 1 20110101 103425 CT Chest/Abdo/Pelvis
                SERIES 1 CT Portal Venous Phase
                        IMAGE 1
                        -> DICOM\IM1
% dcdirdmp -v DICOMDIR
PATIENT SMITH^^^^ 1634-94
(0x0004,0x1400) UL Next Directory Record Offset ...
 ...
(0x0010,0x0010) PN Patient's Name VR=<PN> ...
 ...
(0x0010,0x0020) LO Patient's ID ...
(0x0010,0x0030) DA Patient's Birth Date ...
(0x0010,0x0040) CS Patient's Sex ...
        STUDY 1 19960101 113013
        (0x0004,0x1400) UL Next Directory Record Offset ...
 ...
        (0x0008,0x0050) SH Accession Number ...
% dcdirdmp -vv dicomdir.
******** While reading ... ********
@0x00000084,0x00000000 of 0xffffffff: (0x0002,0x0000) ...
 ...
RootDirectoryFirstRecord = 0x190
RootDirectoryLastRecord = 0x190
Number of records = 7
Offset = 0x190
        @0x00000198: (0x0004,0x1400) UL Next Dir Record ...
Offset = 0x2a4
        @0x000002ac: (0x0004,0x1400) UL Next Dir Record ...
 ...
PATIENT 1634-94-1 1634-94
@0x00000198: (0x0004,0x1400) UL Next Dir Record Offset ...
 ...
@0x00000268: (0x0010,0x0010) PN Patient's Name ...
 ...

FILES

SEE ALSO
dcdump(1), dcintro(1)

AUTHOR
Copyright (C) 1993-2011. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS

MRDR not yet handled properly.